package com.tmax.openframe;

import ch.obermuhlner.math.big.BigDecimalMath;
import java.lang.Runnable;
import java.math.*;
import java.util.*;
import lombok.*;

/** 
 * <p>This source code was generated by COBOL to JAVA migrator</p>
 */
public class DISPLAY01 implements Runnable {
    private @Getter Integer returnValue = 0;
    Runnable UnnamedSentence = this::UnnamedSentence;
    Runnable GoTo;
    boolean Return;
    ArrayList<Runnable> MethodFlow = new ArrayList<>();
    {
        MethodFlow.add(UnnamedSentence);
    }

    public DISPLAY01() {
    }

    public @Override void run() {
        run(UnnamedSentence);
    }

    private void run(Runnable start) {
        run(start, null);
    }

    private void run(Runnable start, Runnable end) {
        List<Runnable> runList;
        if (end == null) {
            runList = Collections.singletonList(start);
        } else {
            runList = MethodFlow.subList(MethodFlow.indexOf(start),
                    MethodFlow.indexOf(end) + 1);
        }
        int i = 0;
        while (i < runList.size()) {
            runList.get(i).run();
            if (GoTo != null) {
                for (Runnable runUnit : runList) {
                    if (GoTo == runUnit) {
                        i = runList.indexOf(runUnit);
                        GoTo = null;
                        break;
                    }
                }
                if (GoTo != null) {
                    return;
                }
            } else {
                i++;
            }
            if (Return) {
                return;
            }
        }
    }

    public void init() {
    }

    void UnnamedSentence() {
        System.out.println("<=====DISPLAY01======>");
    }
}
